import * as React from "react";
export interface ISimpleBurgerMenuProps {
    content: JSX.Element;
    mode?: "push" | "slide";
    onChange?: (state: "open" | "closed") => void;
    position?: "left" | "right";
    openButtonIcon: string;
    closeButtonIcon: string;
    transitionTime?: number;
    children: React.ReactNode;
    hideOpenButton?: boolean;
    hideCloseButton?: boolean;
}
interface ISimpleBurgerMenuContext {
    open: boolean;
    setOpen: (open: boolean) => void;
    transitioning: boolean;
    setTransitioning: (transitioning: boolean) => void;
}
export declare const SimpleBurgerMenuContext: React.Context<ISimpleBurgerMenuContext>;
export declare const SimpleBurgerMenu: React.FC<ISimpleBurgerMenuProps>;
export declare const useSimpleBurgerMenu: () => ISimpleBurgerMenuContext;
export {};
