export declare type PageToken = string | number;
export interface IInfinitePagingResult<T> {
    data: T[];
    nextPageToken?: PageToken;
}
export interface IUseInfinitePagingSettings<T> {
    fetch(pageToken: PageToken): Promise<IInfinitePagingResult<T>>;
    firstPageToken?: PageToken;
}
export declare function useInfinitePaging<T>(settings: IUseInfinitePagingSettings<T>): {
    items: T[];
    isFetching: boolean;
    fetchError: any;
    hasData: boolean;
    hasFinished: boolean;
    loadMore: () => void;
    reload: () => void;
};
